#!/bin/bash

#
# verbJobsToHostsAssignment.sh
#
#   Memorizza nel file di output per la modalita' verbose, se attiva,
#   l'assegnazione di un job a un host
#

# 
# Parametri
#
# <verbose>
#   i valori ammessi per il parametro sono 0 o 1.
#   Se 1 attiva la modalita' verbose di esecuzione dello script
# <callingScript>
#   nome dello script chiamante 
# <job>
#   identificativo del job assegnato
# <host>
#   identificativo dell'host destinatario dell'assegnazione
# <verbOutputFileRelativePath>
#   path relativo alla directory g4cParallelSimulation del file
#   di output per la modalita' verbose
#

# Estrae i parametri dello script dalla sua chiamata
verbose=$1
callingScript=$2
job=$3
host=$4
verbOutputFileRelativePath=$5

# Esce se la modalita' verbose non e' stata attivata
if test $verbose -eq 0
then
   exit 0
fi

# Verbose modality
#   Memorizza nel file di output per la modalita' verbose, se attiva,
#   l'assegnazione di un job a un host
cat << EOF >> $verbOutputFileRelativePath
Job $job assigned to host $host
	
EOF

exit 0

